{% extends 'base.html' %}

{% block current_page %}{{ gettext("Racers") }}{% endblock %}

{% block content %}<header>
	<h1>{{ gettext("Racers") }}</h1>
</header>
<main>
	<a href="{{ url_for('racer.add') }}">{{ gettext("Add a racer") }}</a>

	<table>
		<tr>
			<th>{{ gettext("Number") }}</th>
			<th>{{ gettext("Name") }}</th>
			<th>{{ gettext("Time") }}</th>
		</tr>
		{% for racer in racers %}
			<tr>
				<td>
					<a href="{{ url_for('racer.view', id_=racer.id) }}">{{ racer.number }}</a>
				</td>
				<td>{{ racer.name }}</td>
				<td>{{ racer.time }}</td>
			</tr>
		{% endfor %}
	</table>
	
	<form method="GET">
		<b>{{ gettext("Sort") }}</b>

		<hr>

		<select name="order-by">
			<option value="number" {% if order_by == 'number' %}selected{% endif %}>{{ gettext("Number") }}</option>
			<option value="name" {% if order_by == 'name' %}selected{% endif %}>{{ gettext("Name") }}</option>
			<option value="time" {% if order_by == 'time' %}selected{% endif %}>{{ gettext("Time") }}</option>
		</select>

		<select name="order-type">
			<option value="asc" {% if order_type == 'asc' %}selected{% endif %}>{{ gettext("Ascending") }}</option>
			<option value="desc" {% if order_type == 'desc' %}selected{% endif %}>{{ gettext("Descending") }}</option>
		</select>

		<input type="submit" value="Sort, without JS!">
	</form>
</main>{% endblock %}
